
DBD::mysql - A Perl5 Database Interface to the MySQL database
=============================================================

The driver installation is described in

  INSTALL.html

In short: If you are using

  Windows/ActivePerl

    1.) If you need to use an HTTP Proxy, set the environment
        variable http_proxy, for example like this:

          set http_proxy=http://myproxy.com:8080/

    2.) The actual installation is as simple as

	  ppm install DBI
          ppm install DBD::mysql

        As of this writing, the above procedure won't work with
        ActivePerl 5.8.0, because so far a PPM for DBD::mysql is
        not available from the ActiveState server. I don't know
        why. However, Randy Kobes has kindly donated a PPM package
        to his own repository. You can use this as follows:

          ppm install http://theoryx5.uwinnipeg.ca/ppms/DBD-mysql.ppd

  Windows/CygWin

    Unfortunately it seems that the usual MySQL windows binaries
    cannot be combined with the CygWin libraries. At least I don't
    know how. In other words: You need to compile your own MySQL
    client binaries. In what follows I assume that you have
    downloaded and extracted the MySQL sources and the DBD::mysq
    sources to /usr/local/src. The following steps should do:

      cd /usr/local/src/mysql-4.0.9
       ./configure --without-server --prefix=/usr/local/mysql-4.0.9
      make
      make install
      cd /usr/local/src/DBD-mysql-2.1023
      perl Makefile.PL \
	--libs="-L/usr/local/mysql-4.0.9/lib/mysql -lmysqlclient -lz" \
	--cflags=-I/usr/local/mysql-4.0.9/include/mysql \
	--testhost=127.0.0.1
      make
      make test # Some minor error messages can be ignored here
      make install

  Linux/Red Hat (you may prefer gnorpm to use)

    rpm -i mysql mysql-devel mysql-server
    rpm -i perl-DBI
    rpm -i DBD-MySQL
    rpm -i zlib-devel

  Linux/SuSEs(you may prefer to use yast)

    rpm -i mysql mysql-client mysql-devel mysql-shared
    rpm -i perl-DBI
    rpm -i perl-Msql-Mysql-modules

  Linux/Mandrake (you may prefer to use any Mandrake specific tool?)

    rpm -i MySQL MySQL-client MySQL-devel MySQL-shared
    rpm -i perl-DBI
    rpm -i perl-Mysql
    rpm -i zlib-devel

  Linux/Debian

    Install the packages

      mysql-client mysql-server mysql-doc mysql-common
      libdbi-perl lidbd-mysql-perl

    No idea how one does install these under Debian, but I am
    sure you know. :-)      

  For others, or in case of problems see INSTALL.html.


The drivers documentation can be obtained with

  perldoc lib/DBD/mysql.pod

or

  pod2html lib/DBD/mysql.pod >mysql.html



The driver is maintained by a mailing list:

  msql-mysql-modules@lists.mysql.com
